Bug 1043290 (engrampa) - Review Request: engrampa - MATE Desktop file archiver
Summary: Review Request: engrampa - MATE Desktop file archiver
Keywords:
Status: CLOSED ERRATA
Alias: engrampa
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: caja
Blocks: 1086149
TreeView+ depends on / blocked
 
Reported: 2013-12-15 18:39 UTC by Wolfgang Ulbrich
Modified: 2014-09-28 20:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-28 20:00:58 UTC
besser82: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2013-12-15 18:39:22 UTC
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/engrampa.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/engrampa-1.7.0-0.1.gitf4611c3.fc21.src.rpm
Description: Mate File Archiver is an application for creating and viewing archives files,
such as zip, xv, bzip2, cab, rar and other compress formats.
Fedora Account System Username: raveit65

Comment 1 Wolfgang Ulbrich 2013-12-15 18:41:11 UTC
This is a re-review request for a package rename.
Old packackage name is mate-file-archiver.
Note, this affect only rawhide, f18/19/20 will use mate-window-manager-1.6.x until there EOL.

Comment 2 Björn 'besser82' Esser 2013-12-15 19:49:51 UTC
mine  ;)

Comment 3 Björn 'besser82' Esser 2013-12-16 19:02:58 UTC
Package has one issue, but no blocker.  You can fix during import.  :)


Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

     ---> all is fine here.

[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or generated". 5
     files have unknown license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1043290-engrampa/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/help/nl, /usr/share/help/vi,
     /usr/share/help/uk, /usr/share/help/ja

     ---> false positive, those dirs should be owned by yelp ---> BUG!

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/help/es,
     /usr/share/help/fi, /usr/share/help/en_GB, /usr/share/help/sv,
     /usr/share/help/cs, /usr/share/help, /usr/share/help/de,
     /usr/share/help/vi, /usr/share/help/uk, /usr/share/help/bg,
     /usr/share/help/oc, /usr/share/help/it, /usr/share/help/ca,
     /usr/share/help/ru, /usr/share/help/zh_CN, /usr/share/help/fr,
     /usr/share/help/ja, /usr/share/help/C, /usr/share/help/nl,
     /usr/share/help/el

     ---> those dirs should be owned by `yelp`, but aren't.  File a bug
          against `yelp` and complain about the missing ownerships, please.

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/engrampa/icons/hicolor(mate-file-archiver),
     /usr/share/engrampa(mate-file-archiver),
     /usr/share/engrampa/icons/hicolor/24x24/actions(mate-file-archiver),
     /usr/share/engrampa/icons/hicolor/16x16/actions(mate-file-archiver),
     /usr/share/engrampa/ui(mate-file-archiver), /usr/share/engrampa/icons
     (mate-file-archiver), /usr/libexec/engrampa(mate-file-archiver),
     /usr/share/engrampa/icons/hicolor/24x24(mate-file-archiver),
     /usr/share/engrampa/icons/hicolor/16x16(mate-file-archiver)

     ---> the above named pkg will be obsoleted by this one.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in engrampa

     ---> scriptlets are sane.

[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.

     ---> please limit them to be present until a specific distro-release
          like until F23 or so.

[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in engrampa

     ---> scriptlets are sane.

[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in engrampa

     ---> scriptlets are sane.

[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines

     ---> large data in arched pkg, not a blocker.

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

     ---> no test or check-target in makefile.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 5406720 bytes in /usr/share

     ---> please move those ~5 MBytes into a noarched subpackage.

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: engrampa-1.7.0-0.1.gitf4611c3.fc21.x86_64.rpm
          engrampa-1.7.0-0.1.gitf4611c3.fc21.src.rpm
engrampa.x86_64: W: spelling-error Summary(en_US) archiver -> archive, archives, archived
engrampa.x86_64: W: spelling-error %description -l en_US rar -> arr, ear, tar
engrampa.x86_64: W: no-manual-page-for-binary engrampa
engrampa.src: W: spelling-error Summary(en_US) archiver -> archive, archives, archived
engrampa.src: W: spelling-error %description -l en_US rar -> arr, ear, tar
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint engrampa
engrampa.x86_64: W: spelling-error Summary(en_US) archiver -> archive, archives, archived
engrampa.x86_64: W: spelling-error %description -l en_US rar -> arr, ear, tar
engrampa.x86_64: W: no-manual-page-for-binary engrampa
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'


---> nothing to worry here.



Requires
--------
engrampa (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcaja-extension.so.1()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
engrampa:
    application()
    application(engrampa.desktop)
    engrampa
    engrampa(x86-64)
    libcaja-engrampa.so()(64bit)
    mate-file-archiver
    mate-file-archiver(x86-64)
    mimehandler(application/vnd.ms-cab-compressed)
    mimehandler(application/x-7z-compressed)
    mimehandler(application/x-7z-compressed-tar)
    mimehandler(application/x-ace)
    mimehandler(application/x-alz)
    mimehandler(application/x-ar)
    mimehandler(application/x-archive)
    mimehandler(application/x-arj)
    mimehandler(application/x-bzip)
    mimehandler(application/x-bzip-compressed-tar)
    mimehandler(application/x-bzip1)
    mimehandler(application/x-bzip1-compressed-tar)
    mimehandler(application/x-cabinet)
    mimehandler(application/x-cbr)
    mimehandler(application/x-cbz)
    mimehandler(application/x-cd-image)
    mimehandler(application/x-compress)
    mimehandler(application/x-compressed-tar)
    mimehandler(application/x-cpio)
    mimehandler(application/x-deb)
    mimehandler(application/x-ear)
    mimehandler(application/x-gtar)
    mimehandler(application/x-gzip)
    mimehandler(application/x-gzpostscript)
    mimehandler(application/x-java-archive)
    mimehandler(application/x-lha)
    mimehandler(application/x-lhz)
    mimehandler(application/x-lrzip)
    mimehandler(application/x-lrzip-compressed-tar)
    mimehandler(application/x-lzip)
    mimehandler(application/x-lzip-compressed-tar)
    mimehandler(application/x-lzma)
    mimehandler(application/x-lzma-compressed-tar)
    mimehandler(application/x-lzop)
    mimehandler(application/x-lzop-compressed-tar)
    mimehandler(application/x-ms-dos-executable)
    mimehandler(application/x-ms-wim)
    mimehandler(application/x-rar)
    mimehandler(application/x-rar-compressed)
    mimehandler(application/x-rpm)
    mimehandler(application/x-rzip)
    mimehandler(application/x-stuffit)
    mimehandler(application/x-tar)
    mimehandler(application/x-tarz)
    mimehandler(application/x-war)
    mimehandler(application/x-xz)
    mimehandler(application/x-xz-compressed-tar)
    mimehandler(application/x-zip)
    mimehandler(application/x-zip-compressed)
    mimehandler(application/x-zoo)
    mimehandler(application/zip)



Unversioned so-files
--------------------
engrampa: /usr/lib64/caja/extensions-2.0/libcaja-engrampa.so

Source checksums
----------------
http://raveit65.fedorapeople.org/Mate/git-upstream/engrampa-1.7.0.gitf4611c3.tar.xz :
  CHECKSUM(SHA256) this package     : aa8d81e593657a20f7c08353040ef3aec2ca2f770f9539e7d51e3ab23ce08bb9
  CHECKSUM(SHA256) upstream package : aa8d81e593657a20f7c08353040ef3aec2ca2f770f9539e7d51e3ab23ce08bb9


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -L /home/besser82/shared/fedora/review/caja-caja/results/ -b 1043290
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Built with local dependencies:
    /home/besser82/shared/fedora/review/caja-caja/results/caja-schemas-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm
    /home/besser82/shared/fedora/review/caja-caja/results/caja-devel-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm
    /home/besser82/shared/fedora/review/caja-caja/results/caja-extensions-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm
    /home/besser82/shared/fedora/review/caja-caja/results/caja-1.7.1-0.4.git0ef48fab.fc21.src.rpm
    /home/besser82/shared/fedora/review/caja-caja/results/caja-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm
    /home/besser82/shared/fedora/review/caja-caja/results/caja-debuginfo-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm


===== Solution =====

APPROVED!

Please mind my suggestions about conditionals and versatility (release / snapshot), I made inside the `caja`-review.

Comment 4 Wolfgang Ulbrich 2013-12-16 19:22:17 UTC
Thanks Björn for review the package.

New Package SCM Request
=======================
Package Name: engrampa
Short Description: MATE Desktop file archiver
Owners: raveit65 vicodan
Branches: 
InitialCC: 

Note: branch is empty because other branches than rawhide will use old package name until releases are EOL.

Comment 5 Gwyn Ciesla 2013-12-16 21:10:47 UTC
Git done (by process-git-requests).

Comment 6 Wolfgang Ulbrich 2014-07-26 14:21:10 UTC
Package Change Request
======================
Package Name: engrampa
New Branches: f20
Owners: raveit65 vicodan
InitialCC:

Comment 7 Kevin Fenzi 2014-07-26 21:34:55 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.